(function (cjs, an) {

var p; // shortcut to reference prototypes
var lib={};var ss={};var img={};
lib.ssMetadata = [];


(lib.AnMovieClip = function(){
	this.actionFrames = [];
	this.ignorePause = false;
	this.currentSoundStreamInMovieclip;
	this.soundStreamDuration = new Map();
	this.streamSoundSymbolsList = [];

	this.gotoAndPlayForStreamSoundSync = function(positionOrLabel){
		cjs.MovieClip.prototype.gotoAndPlay.call(this,positionOrLabel);
	}
	this.gotoAndPlay = function(positionOrLabel){
		this.clearAllSoundStreams();
		var pos = this.timeline.resolve(positionOrLabel);
		if (pos != null) { this.startStreamSoundsForTargetedFrame(pos); }
		cjs.MovieClip.prototype.gotoAndPlay.call(this,positionOrLabel);
	}
	this.play = function(){
		this.clearAllSoundStreams();
		this.startStreamSoundsForTargetedFrame(this.currentFrame);
		cjs.MovieClip.prototype.play.call(this);
	}
	this.gotoAndStop = function(positionOrLabel){
		cjs.MovieClip.prototype.gotoAndStop.call(this,positionOrLabel);
		this.clearAllSoundStreams();
	}
	this.stop = function(){
		cjs.MovieClip.prototype.stop.call(this);
		this.clearAllSoundStreams();
	}
	this.startStreamSoundsForTargetedFrame = function(targetFrame){
		for(var index=0; index<this.streamSoundSymbolsList.length; index++){
			if(index <= targetFrame && this.streamSoundSymbolsList[index] != undefined){
				for(var i=0; i<this.streamSoundSymbolsList[index].length; i++){
					var sound = this.streamSoundSymbolsList[index][i];
					if(sound.endFrame > targetFrame){
						var targetPosition = Math.abs((((targetFrame - sound.startFrame)/lib.properties.fps) * 1000));
						var instance = playSound(sound.id);
						var remainingLoop = 0;
						if(sound.offset){
							targetPosition = targetPosition + sound.offset;
						}
						else if(sound.loop > 1){
							var loop = targetPosition /instance.duration;
							remainingLoop = Math.floor(sound.loop - loop);
							if(targetPosition == 0){ remainingLoop -= 1; }
							targetPosition = targetPosition % instance.duration;
						}
						instance.loop = remainingLoop;
						instance.position = Math.round(targetPosition);
						this.InsertIntoSoundStreamData(instance, sound.startFrame, sound.endFrame, sound.loop , sound.offset);
					}
				}
			}
		}
	}
	this.InsertIntoSoundStreamData = function(soundInstance, startIndex, endIndex, loopValue, offsetValue){ 
 		this.soundStreamDuration.set({instance:soundInstance}, {start: startIndex, end:endIndex, loop:loopValue, offset:offsetValue});
	}
	this.clearAllSoundStreams = function(){
		this.soundStreamDuration.forEach(function(value,key){
			key.instance.stop();
		});
 		this.soundStreamDuration.clear();
		this.currentSoundStreamInMovieclip = undefined;
	}
	this.stopSoundStreams = function(currentFrame){
		if(this.soundStreamDuration.size > 0){
			var _this = this;
			this.soundStreamDuration.forEach(function(value,key,arr){
				if((value.end) == currentFrame){
					key.instance.stop();
					if(_this.currentSoundStreamInMovieclip == key) { _this.currentSoundStreamInMovieclip = undefined; }
					arr.delete(key);
				}
			});
		}
	}

	this.computeCurrentSoundStreamInstance = function(currentFrame){
		if(this.currentSoundStreamInMovieclip == undefined){
			var _this = this;
			if(this.soundStreamDuration.size > 0){
				var maxDuration = 0;
				this.soundStreamDuration.forEach(function(value,key){
					if(value.end > maxDuration){
						maxDuration = value.end;
						_this.currentSoundStreamInMovieclip = key;
					}
				});
			}
		}
	}
	this.getDesiredFrame = function(currentFrame, calculatedDesiredFrame){
		for(var frameIndex in this.actionFrames){
			if((frameIndex > currentFrame) && (frameIndex < calculatedDesiredFrame)){
				return frameIndex;
			}
		}
		return calculatedDesiredFrame;
	}

	this.syncStreamSounds = function(){
		this.stopSoundStreams(this.currentFrame);
		this.computeCurrentSoundStreamInstance(this.currentFrame);
		if(this.currentSoundStreamInMovieclip != undefined){
			var soundInstance = this.currentSoundStreamInMovieclip.instance;
			if(soundInstance.position != 0){
				var soundValue = this.soundStreamDuration.get(this.currentSoundStreamInMovieclip);
				var soundPosition = (soundValue.offset?(soundInstance.position - soundValue.offset): soundInstance.position);
				var calculatedDesiredFrame = (soundValue.start)+((soundPosition/1000) * lib.properties.fps);
				if(soundValue.loop > 1){
					calculatedDesiredFrame +=(((((soundValue.loop - soundInstance.loop -1)*soundInstance.duration)) / 1000) * lib.properties.fps);
				}
				calculatedDesiredFrame = Math.floor(calculatedDesiredFrame);
				var deltaFrame = calculatedDesiredFrame - this.currentFrame;
				if((deltaFrame >= 0) && this.ignorePause){
					cjs.MovieClip.prototype.play.call(this);
					this.ignorePause = false;
				}
				else if(deltaFrame >= 2){
					this.gotoAndPlayForStreamSoundSync(this.getDesiredFrame(this.currentFrame,calculatedDesiredFrame));
				}
				else if(deltaFrame <= -2){
					cjs.MovieClip.prototype.stop.call(this);
					this.ignorePause = true;
				}
			}
		}
	}
}).prototype = p = new cjs.MovieClip();
// symbols:



(lib.ggorderopen01 = function() {
	this.initialize(img.ggorderopen01);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,1308,920);


(lib.ggorderopen02 = function() {
	this.initialize(img.ggorderopen02);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,1308,920);


(lib.ggorderopen03 = function() {
	this.initialize(img.ggorderopen03);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,1308,920);


(lib.ggorderopen04 = function() {
	this.initialize(img.ggorderopen04);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,1308,920);


(lib.ggorderopen05 = function() {
	this.initialize(img.ggorderopen05);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,1308,920);


(lib.ggorderopen06 = function() {
	this.initialize(img.ggorderopen06);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,1308,920);


(lib.ggorderopen07 = function() {
	this.initialize(img.ggorderopen07);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,1308,920);


(lib.ggorderopen08 = function() {
	this.initialize(img.ggorderopen08);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,1308,920);


(lib.ggorderopen09 = function() {
	this.initialize(img.ggorderopen09);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,1308,920);


(lib.ggorderopen10 = function() {
	this.initialize(img.ggorderopen10);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,1308,920);


(lib.ggorderopen11 = function() {
	this.initialize(img.ggorderopen11);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,1308,920);


(lib.ggorderopen12 = function() {
	this.initialize(img.ggorderopen12);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,1308,920);


(lib.ggorderopen13 = function() {
	this.initialize(img.ggorderopen13);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,1308,920);


(lib.ggorderopen14 = function() {
	this.initialize(img.ggorderopen14);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,1308,920);


(lib.ggorderopen15 = function() {
	this.initialize(img.ggorderopen15);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,1308,920);


(lib.ggorderopen16 = function() {
	this.initialize(img.ggorderopen16);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,1308,920);


(lib.ggorderopen17 = function() {
	this.initialize(img.ggorderopen17);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,1308,920);


(lib.ggorderopen18 = function() {
	this.initialize(img.ggorderopen18);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,1308,920);


(lib.ggorderopen19 = function() {
	this.initialize(img.ggorderopen19);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,1308,920);


(lib.ggorderopen20 = function() {
	this.initialize(img.ggorderopen20);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,1308,920);


(lib.ggorderopen21 = function() {
	this.initialize(img.ggorderopen21);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,1308,920);


(lib.ggorderopen22 = function() {
	this.initialize(img.ggorderopen22);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,1308,920);


(lib.ggorderopen23 = function() {
	this.initialize(img.ggorderopen23);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,1308,920);


(lib.ggorderopen24 = function() {
	this.initialize(img.ggorderopen24);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,1308,920);


(lib.ggorderopen25 = function() {
	this.initialize(img.ggorderopen25);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,1308,920);


// stage content:
(lib.ggorderopen = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	this.actionFrames = [0];
	this.streamSoundSymbolsList[0] = [{id:"ggorderopen_1",startFrame:0,endFrame:72,loop:1,offset:0}];
	// timeline functions:
	this.frame_0 = function() {
		this.clearAllSoundStreams();
		 
		var soundInstance = playSound("ggorderopen_1",0);
		this.InsertIntoSoundStreamData(soundInstance,0,72,1);
	}

	// actions tween:
	this.timeline.addTween(cjs.Tween.get(this).call(this.frame_0).wait(72));

	// レイヤー_1
	this.instance = new lib.ggorderopen01();
	this.instance.setTransform(15,15);

	this.instance_1 = new lib.ggorderopen02();
	this.instance_1.setTransform(15,15);

	this.instance_2 = new lib.ggorderopen03();
	this.instance_2.setTransform(15,15);

	this.instance_3 = new lib.ggorderopen04();
	this.instance_3.setTransform(15,15);

	this.instance_4 = new lib.ggorderopen05();
	this.instance_4.setTransform(15,15);

	this.instance_5 = new lib.ggorderopen06();
	this.instance_5.setTransform(15,15);

	this.instance_6 = new lib.ggorderopen07();
	this.instance_6.setTransform(15,15);

	this.instance_7 = new lib.ggorderopen08();
	this.instance_7.setTransform(15,15);

	this.instance_8 = new lib.ggorderopen09();
	this.instance_8.setTransform(15,15);

	this.instance_9 = new lib.ggorderopen10();
	this.instance_9.setTransform(15,15);

	this.instance_10 = new lib.ggorderopen11();
	this.instance_10.setTransform(15,15);

	this.instance_11 = new lib.ggorderopen12();
	this.instance_11.setTransform(15,15);

	this.instance_12 = new lib.ggorderopen13();
	this.instance_12.setTransform(15,15);

	this.instance_13 = new lib.ggorderopen14();
	this.instance_13.setTransform(15,15);

	this.instance_14 = new lib.ggorderopen15();
	this.instance_14.setTransform(15,15);

	this.instance_15 = new lib.ggorderopen16();
	this.instance_15.setTransform(15,15);

	this.instance_16 = new lib.ggorderopen17();
	this.instance_16.setTransform(15,15);

	this.instance_17 = new lib.ggorderopen18();
	this.instance_17.setTransform(15,15);

	this.instance_18 = new lib.ggorderopen19();
	this.instance_18.setTransform(15,15);

	this.instance_19 = new lib.ggorderopen20();
	this.instance_19.setTransform(15,15);

	this.instance_20 = new lib.ggorderopen21();
	this.instance_20.setTransform(15,15);

	this.instance_21 = new lib.ggorderopen22();
	this.instance_21.setTransform(15,15);

	this.instance_22 = new lib.ggorderopen23();
	this.instance_22.setTransform(15,15);

	this.instance_23 = new lib.ggorderopen24();
	this.instance_23.setTransform(15,15);

	this.instance_24 = new lib.ggorderopen25();
	this.instance_24.setTransform(15,15);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.instance}]}).to({state:[{t:this.instance_1}]},2).to({state:[{t:this.instance_2}]},2).to({state:[{t:this.instance_3}]},2).to({state:[{t:this.instance_4}]},3).to({state:[{t:this.instance_5}]},3).to({state:[{t:this.instance_6}]},3).to({state:[{t:this.instance_7}]},2).to({state:[{t:this.instance_8}]},2).to({state:[{t:this.instance_9}]},2).to({state:[{t:this.instance_10}]},2).to({state:[{t:this.instance_11}]},2).to({state:[{t:this.instance_12}]},3).to({state:[{t:this.instance_13}]},3).to({state:[{t:this.instance_14}]},3).to({state:[{t:this.instance_15}]},3).to({state:[{t:this.instance_16}]},3).to({state:[{t:this.instance_17}]},2).to({state:[{t:this.instance_18}]},2).to({state:[{t:this.instance_19}]},2).to({state:[{t:this.instance_20}]},3).to({state:[{t:this.instance_21}]},3).to({state:[{t:this.instance_22}]},2).to({state:[{t:this.instance_23}]},2).to({state:[{t:this.instance_24}]},3).to({state:[{t:this.instance_23}]},3).wait(10));

	this._renderFirstFrame();

}).prototype = p = new lib.AnMovieClip();
p.nominalBounds = new cjs.Rectangle(684,490,639,445);
// library properties:
lib.properties = {
	id: 'B7D3AA333D30C646A532C11F170276BC',
	width: 1338,
	height: 950,
	fps: 24,
	color: "#000000",
	opacity: 1.00,
	manifest: [
		{src:"images/ggorderopen01.jpg", id:"ggorderopen01"},
		{src:"images/ggorderopen02.jpg", id:"ggorderopen02"},
		{src:"images/ggorderopen03.jpg", id:"ggorderopen03"},
		{src:"images/ggorderopen04.jpg", id:"ggorderopen04"},
		{src:"images/ggorderopen05.jpg", id:"ggorderopen05"},
		{src:"images/ggorderopen06.jpg", id:"ggorderopen06"},
		{src:"images/ggorderopen07.jpg", id:"ggorderopen07"},
		{src:"images/ggorderopen08.jpg", id:"ggorderopen08"},
		{src:"images/ggorderopen09.jpg", id:"ggorderopen09"},
		{src:"images/ggorderopen10.jpg", id:"ggorderopen10"},
		{src:"images/ggorderopen11.jpg", id:"ggorderopen11"},
		{src:"images/ggorderopen12.jpg", id:"ggorderopen12"},
		{src:"images/ggorderopen13.jpg", id:"ggorderopen13"},
		{src:"images/ggorderopen14.jpg", id:"ggorderopen14"},
		{src:"images/ggorderopen15.jpg", id:"ggorderopen15"},
		{src:"images/ggorderopen16.jpg", id:"ggorderopen16"},
		{src:"images/ggorderopen17.jpg", id:"ggorderopen17"},
		{src:"images/ggorderopen18.jpg", id:"ggorderopen18"},
		{src:"images/ggorderopen19.jpg", id:"ggorderopen19"},
		{src:"images/ggorderopen20.jpg", id:"ggorderopen20"},
		{src:"images/ggorderopen21.jpg", id:"ggorderopen21"},
		{src:"images/ggorderopen22.jpg", id:"ggorderopen22"},
		{src:"images/ggorderopen23.jpg", id:"ggorderopen23"},
		{src:"images/ggorderopen24.jpg", id:"ggorderopen24"},
		{src:"images/ggorderopen25.jpg", id:"ggorderopen25"},
		{src:"sounds/ggorderopen_1.mp3", id:"ggorderopen_1"}
	],
	preloads: []
};



// bootstrap callback support:

(lib.Stage = function(canvas) {
	createjs.Stage.call(this, canvas);
}).prototype = p = new createjs.Stage();

p.setAutoPlay = function(autoPlay) {
	this.tickEnabled = autoPlay;
}
p.play = function() { this.tickEnabled = true; this.getChildAt(0).gotoAndPlay(this.getTimelinePosition()) }
p.stop = function(ms) { if(ms) this.seek(ms); this.tickEnabled = false; }
p.seek = function(ms) { this.tickEnabled = true; this.getChildAt(0).gotoAndStop(lib.properties.fps * ms / 1000); }
p.getDuration = function() { return this.getChildAt(0).totalFrames / lib.properties.fps * 1000; }

p.getTimelinePosition = function() { return this.getChildAt(0).currentFrame / lib.properties.fps * 1000; }

an.bootcompsLoaded = an.bootcompsLoaded || [];
if(!an.bootstrapListeners) {
	an.bootstrapListeners=[];
}

an.bootstrapCallback=function(fnCallback) {
	an.bootstrapListeners.push(fnCallback);
	if(an.bootcompsLoaded.length > 0) {
		for(var i=0; i<an.bootcompsLoaded.length; ++i) {
			fnCallback(an.bootcompsLoaded[i]);
		}
	}
};

an.compositions = an.compositions || {};
an.compositions['B7D3AA333D30C646A532C11F170276BC'] = {
	getStage: function() { return exportRoot.stage; },
	getLibrary: function() { return lib; },
	getSpriteSheet: function() { return ss; },
	getImages: function() { return img; }
};

an.compositionLoaded = function(id) {
	an.bootcompsLoaded.push(id);
	for(var j=0; j<an.bootstrapListeners.length; j++) {
		an.bootstrapListeners[j](id);
	}
}

an.getComposition = function(id) {
	return an.compositions[id];
}


an.makeResponsive = function(isResp, respDim, isScale, scaleType, domContainers) {		
	var lastW, lastH, lastS=1;		
	window.addEventListener('resize', resizeCanvas);		
	resizeCanvas();		
	function resizeCanvas() {			
		var w = lib.properties.width, h = lib.properties.height;			
		var iw = window.innerWidth, ih=window.innerHeight;			
		var pRatio = window.devicePixelRatio || 1, xRatio=iw/w, yRatio=ih/h, sRatio=1;			
		if(isResp) {                
			if((respDim=='width'&&lastW==iw) || (respDim=='height'&&lastH==ih)) {                    
				sRatio = lastS;                
			}				
			else if(!isScale) {					
				if(iw<w || ih<h)						
					sRatio = Math.min(xRatio, yRatio);				
			}				
			else if(scaleType==1) {					
				sRatio = Math.min(xRatio, yRatio);				
			}				
			else if(scaleType==2) {					
				sRatio = Math.max(xRatio, yRatio);				
			}			
		}
		domContainers[0].width = w * pRatio * sRatio;			
		domContainers[0].height = h * pRatio * sRatio;
		domContainers.forEach(function(container) {				
			container.style.width = w * sRatio + 'px';				
			container.style.height = h * sRatio + 'px';			
		});
		stage.scaleX = pRatio*sRatio;			
		stage.scaleY = pRatio*sRatio;
		lastW = iw; lastH = ih; lastS = sRatio;            
		stage.tickOnUpdate = false;            
		stage.update();            
		stage.tickOnUpdate = true;		
	}
}
an.handleSoundStreamOnTick = function(event) {
	if(!event.paused){
		var stageChild = stage.getChildAt(0);
		if(!stageChild.paused || stageChild.ignorePause){
			stageChild.syncStreamSounds();
		}
	}
}
an.handleFilterCache = function(event) {
	if(!event.paused){
		var target = event.target;
		if(target){
			if(target.filterCacheList){
				for(var index = 0; index < target.filterCacheList.length ; index++){
					var cacheInst = target.filterCacheList[index];
					if((cacheInst.startFrame <= target.currentFrame) && (target.currentFrame <= cacheInst.endFrame)){
						cacheInst.instance.cache(cacheInst.x, cacheInst.y, cacheInst.w, cacheInst.h);
					}
				}
			}
		}
	}
}


})(createjs = createjs||{}, AdobeAn = AdobeAn||{});
var createjs, AdobeAn;